org.apache.ignite.internal.processors.cache

## Interface CacheConfigurationSplitter

All Known Implementing Classes:
  CacheConfigurationSplitterImpl, CacheConfigurationSplitterOldFormat

    public interface CacheConfigurationSplitter

Splits cache configuration into two parts that can be serialized, deserialized separately. This eliminates the need to deserialize part of the configuration and therefore, it does not require user classes on non-affinity nodes.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(CacheConfiguration ccfg)` Splits the given cache configuration into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately.
`default T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(CacheGroupDescriptor desc)` Splits cache configuration associated with the given `desc` into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately.
`default T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(DynamicCacheDescriptor desc)` Splits cache configuration associated with the given `desc` into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately.

### Method Detail

#### split

    default T2<CacheConfiguration,CacheConfigurationEnrichment> split(CacheGroupDescriptor desc)

Splits cache configuration associated with the given `desc` into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately. The fields marked with `SerializeSeparately` are placed into `CacheConfigurationEnrichment`, the corresponding values into `CacheConfiguration` are changed with the default ones.

Parameters:
  `desc` - Cache group description to split.
Returns:
  Split cache configuration.
See Also:
  `SerializeSeparately`

#### split

    default T2<CacheConfiguration,CacheConfigurationEnrichment> split(DynamicCacheDescriptor desc)

Splits cache configuration associated with the given `desc` into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately. The fields marked with `SerializeSeparately` are placed into `CacheConfigurationEnrichment`, the corresponding values into `CacheConfiguration` are changed with the default ones.

Parameters:
  `desc` - Cache description to split.
Returns:
  Split cache configuration.
See Also:
  `SerializeSeparately`

#### split

    T2<CacheConfiguration,CacheConfigurationEnrichment> split(CacheConfiguration ccfg)

Splits the given cache configuration into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately. The fields marked with `SerializeSeparately` are placed into `CacheConfigurationEnrichment`, the corresponding values into `CacheConfiguration` are changed with the default ones.

Parameters:
  `ccfg` - Cache configuration to split.
Returns:
  Split cache configuration.
See Also:
  `SerializeSeparately`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023